Subject: Re: Changing Root (/)
From: [email-masked] (Paul Vincent Elia)

23 Aug 1997 13:54:44 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: QUALCOMM Windows Eudora Pro Version 3.0.3 (32)
Original-To: "Sonic Junior" <[email-masked]>, "GNU Win 32" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

At 06:37 PM 8/19/97 -0400, Sonic Junior wrote:
>
>	Anybody here happen to know how I would change the root (/) directory?
>It's current c:, but I want it to be e:\gnuwin32\unix

You use the "mount" utility to map drives to paths. But I have noticed that
you can't redefine "c:" from the command line. Here's what works -- use
regedit.exe, go to "My Computer\HKEY_USERS\.Default\Software\Cygnus
Solutions\CYGWIN.DLL setup\b15.0\mounts\" and hunt for the "0<x>" mount
point that corresponds to "c:" and "/". Change the "c:" to
"e:\gnuwin32\unix" and everything should work. You can then run mount from
a command prompt to be sure. Note that if you have multiple logins on the
same PC, you may need to hunt for other "Cygnus Solutions" settings, too.

 Paul V. Elia
 President and Senior Consultant
 IT Atlanta, Inc., Information Technology Consultants
 4060 Peachtree Road, Suite D-304, Atlanta, GA 30319-3020
    main: (404) 467-8485    fax: (404) 846-9124

 Temporary WWW: http://www.mindspring.com/~elia/itatlanta.html
 Coming Soon: http://www.itatlanta.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".